Documentation Index
Fetch the complete documentation index at: https://docs.silicondata.com/llms.txt
Use this file to discover all available pages before exploring further.
Tasks API
GET /api/silicon-mark/v1/tasks
List tasks with filtering and pagination.
Authorization
🔒OAuth2: OAuth2PasswordBearer
Flow type: password
Token URL: token
Query Parameters
| Parameter | Type | Required | Description | Default |
|---|
page | integer | No | Page number | 1 |
per_page | integer | No | Items per page (max: 300) | 20 |
sort_by | string | No | Field to sort by | created_at |
sort_order | string | No | Sort direction (asc/desc) | desc |
job_id | integer | No | Filter by job ID | |
state | string | No | Filter by task state | |
machine_ip | string | No | Filter by machine IP | |
machine_uuid | string | No | Filter by machine UUID | |
include_results | boolean | No | Include benchmark results | false |
Responses
{
"data": [
{
"id": "7554621441",
"job_id": "7554621440",
"machine_uuid": "550e8400-e29b-41d4-a716-446655440000",
"machine_ip": "192.168.1.10",
"state": "completed",
"failed_message": null,
"created_at": "2024-03-15T10:35:00Z",
"started_at": "2024-03-15T10:35:30Z",
"ended_at": "2024-03-15T11:40:00Z",
"gpu_model": "NVIDIA A100-SXM4-80GB",
"gpu_count": 8,
"pdf_report_url": "https://...",
"benchmark_results": {
"quick_mark": {...}
}
}
],
"pagination": {
"page": 1,
"per_page": 20,
"total": 4,
"pages": 1
}
}
GET /api/silicon-mark/v1/tasks/{task_id}
Get the result of this task including inventory and benchmark results.
Authorization
🔒OAuth2: OAuth2PasswordBearer
Flow type: password
Token URL: token
Path Parameters
| Parameter | Type | Required | Description |
|---|
task_id | integer | Yes | The task ID |
Query Parameters
| Parameter | Type | Required | Description | Default |
|---|
include_display_name | boolean | No | Include human-readable field names | false |
Responses
{
"manufacturer_gpu_spec": {
"compute_capability": "8.0",
"memory_bandwidth": "2039 GB/s",
"fp32_tflops": 19.5
},
"company_name": "Acme Corp",
"machine_id": "550e8400-e29b-41d4-a716-446655440000",
"configuration_id": "660e8400-e29b-41d4-a716-446655440000",
"start_time": "2024-03-15T10:35:30Z",
"end_time": "2024-03-15T11:40:00Z",
"inventory": {
"machine_id": "550e8400-e29b-41d4-a716-446655440000",
"config_id": "660e8400-e29b-41d4-a716-446655440000",
"cpu": {
"processor": "Intel Xeon Gold 6248R",
"count": 48,
"os": "Ubuntu 22.04.3 LTS",
"arch": "x86_64",
"virtualization_type": "bare-metal"
},
"gpu": {
"vendor": "NVIDIA",
"model": "A100-SXM4-80GB",
"count": 8,
"memory_gb": 80,
"network_type": "NVLink",
"driver_version": "535.129.03",
"cuda_version": "12.2"
},
"disk": {
"model": "Samsung NVMe SSD",
"size_gb": 3840,
"technology": "SSD"
},
"memory": {
"total_gb": 512,
"type": "DDR4"
},
"network": {
"machine_ip": "192.168.1.10",
"open_ports": 5,
"upload_speed_mbps": 10000,
"download_speed_mbps": 10000
},
"location": "us-east-1"
},
"benchmark_results": {
"quick_mark": {
"benchmark_id": "quick_mark",
"started_at": "2024-03-15T10:36:00Z",
"completed_at": "2024-03-15T10:45:00Z",
"config": {},
"results": {
"test_results": [
{
"gpu_id": 0,
"fp16_tflops": 78.5,
"fp32_tflops": 39.2,
"memory_bandwidth_gbs": 1935.4
}
]
},
"state": "completed",
"error_message": null
}
}
}
{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Task not found"
}
}